# Updates an API Key

Updates an API key for the given identifier

Endpoint: PUT /cf/admin/apikey/{identifier}
Version: 1.0
Security: x-api-key

## Path parameters:

  - `identifier` (string, required)
    Unique identifier for the object in the API.

## Query parameters:

  - `projectIdentifier` (string, required)
    The Project identifier

  - `environmentIdentifier` (string, required)
    Environment Identifier

  - `accountIdentifier` (string, required)
    Account Identifier

  - `orgIdentifier` (string, required)
    Organization Identifier

## Request fields (application/json):

  - `description` (string)
    Example: "This key is for server side production environment"

  - `expiredAt` (integer)

  - `name` (string)
    Example: "production-env-key"

## Response 400 fields (application/json):

  - `code` (string, required)
    The http error code
    Example: 404

  - `details` (object)
    Additional details about the error

  - `message` (string, required)
    The reason the request failed
    Example: "Error retrieving projects, organization 'default_org' does not exist"


## Response 200 fields
